## slicot 5.0+20101122

=== debian/changelog ===
slicot (5.0+20101122-1) unstable; urgency=low

  * Initial release (Closes: #686186)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 29 Aug 2012 21:38:54 +0200
