=== debian/control ===
Source: slicot
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-exec, gfortran,
               libblas-dev, liblapack-dev
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.slicot.org
Vcs-Git: git://git.debian.org/git/debian-science/packages/slicot.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/slicot.git

Package: libslicot0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: numerical algorithms from systems and control theory (shared library)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains a shared version of the library.

Package: libslicot-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libslicot0 (= ${binary:Version}), libblas-dev, liblapack-dev,
         ${misc:Depends}
Suggests: libslicot-doc
Description: numerical algorithms from systems and control theory (static library)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains a static version of the library.

Package: libslicot-pic
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: numerical algorithms from systems and control theory (static PIC library)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains a static version of the library compiled with position
 independent code (PIC). It also contains a static PIC version of the library
 compiled with 64-bit indexing of vectors and matrices. This package is
 provided for other packages to create their own dynamic objects. You normally
 do not need it, unless you have special needs.

Package: libslicot-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libslicot-dev
Description: numerical algorithms from systems and control theory (documentation)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains the documentation of all the routines. It also contains
 associated example programs, data and results for many routines.

Package: libslicot-dbg
Section: debug
Architecture: any
Depends: libslicot0 (= ${binary:Version}), ${misc:Depends}
Description: numerical algorithms from systems and control theory (debugging symbols)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains the detached debugging symbols of the library.
