## slicot 5.8+20230223.git401037e

=== debian/changelog ===
slicot (5.8+20230223.git401037e-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: add Breaks against octave-control < 4

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Jan 2024 18:41:00 +0100

slicot (5.8+20230223.git401037e-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 5.8+20230223.git401037e
  * d/copyright: license changed to BSD 3-clause
  * Adapt build process for new upstream version
    - use upstream Makefile for building
    - build-system-fixes.patch: new patch
    - update symbols files and documentation
  * Bump to debhelper compat level 13
  * Use secure URL for Homepage
  * Enable link-time optimizations (LTO)
  * Add debian/watch
  * Separate arch and indep Build-Depends
  * Bump Standards-Version to 4.6.2
  * Add lintian-overrides for false positive (missing source)
  * Update d/upstream/metadata

  [ Debian Janitor ]
  * Apply multi-arch hints. + libslicot-doc: Add Multi-Arch: foreign.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 16 Jan 2024 16:04:33 +0100

slicot (5.0+20101122-4) unstable; urgency=medium

  * d/copyright: use secure URL for format.
  * Add Build-Depends-Package field in symbols file
  * Update Vcs-* fields for move to salsa
  * Bump to debhelper compat level 11
  * Remove obsolete version B-D on dpkg-dev
  * Add Rules-Requires-Root: no
  * Downgrade to Priority: optional
  * Bump S-V to 4.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 27 Oct 2018 10:12:57 +0200

slicot (5.0+20101122-3) unstable; urgency=medium

  * d/rules: make build reproducible (fix file ordering issue).
    (Closes: #826951)
  * d/control: use secure URLs for Vcs-* fields.
  * d/control: bump Standards-Version to 3.9.8, no changes needed.
  * Drop libslicot-dbg package, now rely on automatic debug package.
  * Move d/upstream to d/metadata/upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 Jun 2016 23:38:48 +0200

slicot (5.0+20101122-2) unstable; urgency=medium

  * Use my @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * Use canonical URLs for Vcs-* fields
  * Mark debug package as Multi-Arch: same
  * Remove unused lintian overrides
  * Add a symbols file.
  * Bump Standards-Version to 3.9.5.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Jun 2014 19:39:20 +0200
