=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=optimize=+lto

# Get compilation flags from dpkg-buildflags
include /usr/share/dpkg/default.mk

FC = $(DEB_HOST_GNU_TYPE)-gfortran

SO=0

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_build-arch:
	# Build static library with 32-bit indexing
	$(MAKE) -f makefile_Unix cleanlib
	$(MAKE) -f makefile_Unix lib FC="$(FC)" FFLAGS="$(FFLAGS)" ARCH="$(DEB_HOST_GNU_TYPE)-ar" SLICOTLIB="../libslicot.a"
	# Build static PIC and shared library with 32-bit indexing
	$(MAKE) -f makefile_Unix cleanlib
	$(MAKE) -f makefile_Unix lib FC="$(FC)" FFLAGS="$(FFLAGS) -fPIC" ARCH="$(DEB_HOST_GNU_TYPE)-ar" SLICOTLIB="../libslicot_pic.a"
	$(FC) $(LDFLAGS) -shared -Wl,-soname=libslicot.so.$(SO) -o libslicot.so.$(SO) -Wl,--whole-archive libslicot_pic.a -Wl,--no-whole-archive -lblas -llapack
	ln -snf libslicot.so.$(SO) libslicot.so
	# Build static PIC with 64-bit indexing
	$(MAKE) -f makefile_Unix cleanlib
	$(MAKE) -f makefile_Unix lib FC="$(FC)" FFLAGS="$(FFLAGS) -fPIC -fdefault-integer-8" ARCH="$(DEB_HOST_GNU_TYPE)-ar" SLICOTLIB="../libslicot64_pic.a"

override_dh_auto_build-indep:

override_dh_auto_test:

override_dh_auto_install:

override_dh_auto_clean:
	$(MAKE) -f makefile_Unix cleanlib
	rm -f libslicot.* libslicot_pic.a libslicot64_pic.a lpkaux.a
