## slicot 5.9~20240205.gita037f7e

=== debian/changelog ===
slicot (5.9~20240205.gita037f7e-1) unstable; urgency=medium

  * New upstream version 5.9~20240205.gita037f7e
  * build-system-fixes.patch: drop patch, no longer needed
  * d/rules: adapt to new Makefile variable names
  * d/libslicot0.symbols: add new symbols

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 07 Feb 2024 09:54:26 +0100
