=== debian/rules ===
--- 
+++ 
@@ -21,15 +21,15 @@
 override_dh_auto_build-arch:
 	# Build static library with 32-bit indexing
 	$(MAKE) -f makefile_Unix cleanlib
-	$(MAKE) -f makefile_Unix lib FC="$(FC)" FFLAGS="$(FFLAGS)" ARCH="$(DEB_HOST_GNU_TYPE)-ar" SLICOTLIB="../libslicot.a"
+	$(MAKE) -f makefile_Unix lib FORTRAN="$(FC)" OPTS="$(FFLAGS)" ARCH="$(DEB_HOST_GNU_TYPE)-ar" SLICOTLIB="../libslicot.a"
 	# Build static PIC and shared library with 32-bit indexing
 	$(MAKE) -f makefile_Unix cleanlib
-	$(MAKE) -f makefile_Unix lib FC="$(FC)" FFLAGS="$(FFLAGS) -fPIC" ARCH="$(DEB_HOST_GNU_TYPE)-ar" SLICOTLIB="../libslicot_pic.a"
+	$(MAKE) -f makefile_Unix lib FORTRAN="$(FC)" OPTS="$(FFLAGS) -fPIC" ARCH="$(DEB_HOST_GNU_TYPE)-ar" SLICOTLIB="../libslicot_pic.a"
 	$(FC) $(LDFLAGS) -shared -Wl,-soname=libslicot.so.$(SO) -o libslicot.so.$(SO) -Wl,--whole-archive libslicot_pic.a -Wl,--no-whole-archive -lblas -llapack
 	ln -snf libslicot.so.$(SO) libslicot.so
 	# Build static PIC with 64-bit indexing
 	$(MAKE) -f makefile_Unix cleanlib
-	$(MAKE) -f makefile_Unix lib FC="$(FC)" FFLAGS="$(FFLAGS) -fPIC -fdefault-integer-8" ARCH="$(DEB_HOST_GNU_TYPE)-ar" SLICOTLIB="../libslicot64_pic.a"
+	$(MAKE) -f makefile_Unix lib FORTRAN="$(FC)" OPTS="$(FFLAGS) -fPIC -fdefault-integer-8" ARCH="$(DEB_HOST_GNU_TYPE)-ar" SLICOTLIB="../libslicot64_pic.a"
 
 override_dh_auto_build-indep:
