## slicot 5.9

=== debian/changelog ===
slicot (5.9-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:45:18 +1100

slicot (5.9-1) unstable; urgency=medium

  * New upstream version 5.9
  * Disable link-time optimizations (LTO)
    GCC emits some warnings about possible misoptizimations.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 03 Mar 2024 11:06:42 +0100
