=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: slicot
-Priority: extra
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-exec, gfortran,
-               libblas-dev, liblapack-dev
-Standards-Version: 3.9.3
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: gfortran,
+                    libblas-dev,
+                    liblapack-dev
+Standards-Version: 4.6.2
 Section: libs
-Homepage: http://www.slicot.org
-Vcs-Git: git://git.debian.org/git/debian-science/packages/slicot.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/slicot.git
+Homepage: https://www.slicot.org
+Vcs-Git: https://salsa.debian.org/science-team/slicot.git
+Vcs-Browser: https://salsa.debian.org/science-team/slicot
+Rules-Requires-Root: no
 
 Package: libslicot0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: octave-control (<< 4)
 Description: numerical algorithms from systems and control theory (shared library)
  SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
  mathematical library for control theoretical computations. The library
@@ -82,6 +86,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libslicot-dev
+Multi-Arch: foreign
 Description: numerical algorithms from systems and control theory (documentation)
  SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
  mathematical library for control theoretical computations. The library
@@ -97,23 +102,3 @@
  .
  This package contains the documentation of all the routines. It also contains
  associated example programs, data and results for many routines.
-
-Package: libslicot-dbg
-Section: debug
-Architecture: any
-Depends: libslicot0 (= ${binary:Version}), ${misc:Depends}
-Description: numerical algorithms from systems and control theory (debugging symbols)
- SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
- mathematical library for control theoretical computations. The library
- provides tools to perform essential system analysis and synthesis tasks. The
- main emphasis in SLICOT is on numerical reliability of implemented algorithms
- and the numerical robustness and efficiency of routines. Providing algorithmic
- flexibility and the use of rigorous implementation and documentation standards
- are other SLICOT features.
- .
- SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
- routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
- Algebra PACKage).
- .
- This package contains the detached debugging symbols of the library.
-
